/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   algorithm.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/26 13:40:58 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/26 13:42:55 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

int		ft_sqrt_ceil(int num)
{
	int i;

	i = 1;
	while (i * i < num)
		i++;
	return (i);
}

void	algorithm(int *types, int amount)
{
	int		size;
	t_node	*r;
	t_node	**cols_arr;
	t_node	**ans;
	int		go;

	go = 1;
	ans = (t_node**)malloc(sizeof(t_node*) * amount);
	size = ft_sqrt_ceil(amount * 4);
	while (go)
	{
		r = init_root(size);
		cols_arr = add_cols(r, (size * size + amount));
		add_rows(types, amount, size, cols_arr);
		search(r, ans, 0, amount);
		size++;
	}
}
