/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   check.c                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/26 15:30:15 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/26 15:30:19 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

void	check_endline(char *str)
{
	int i;

	i = 4;
	while (i < 20)
	{
		if (!(str[i] == '\n'))
			error();
		i += 5;
	}
}

void	check_char(char ch)
{
	if (!(ch == '.' || ch == '\n' || ch == '#'))
		error();
}

void	check_string(char *string_ttrs)
{
	int i;
	int j;

	i = 0;
	j = 0;
	while (string_ttrs[i])
	{
		check_char(string_ttrs[i]);
		if (i == j)
			check_endline((string_ttrs + i));
		if ((i >= 20) && (i % (20 + j)) == 0)
		{
			if (string_ttrs[i] == '\n' && string_ttrs[i - 1] == '\n')
				if (string_ttrs[i + 1] == '\0')
					error();
				else
					j += 21;
			else
				error();
		}
		i++;
	}
}

void	check_table(char **ttr)
{
	int amount;
	int match;
	int i;
	int j;

	j = 0;
	amount = 0;
	match = 0;
	while (ttr[amount])
		amount++;
	while (j < amount)
	{
		i = 0;
		while (i < 19)
			if (ft_strcmp(ttr[j], g_templates[i++].t) == 0)
			{
				match++;
				break ;
			}
		j++;
	}
	if (amount != match)
		error();
}
