/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   init.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/26 12:55:28 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/26 12:55:36 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

void	init(char *path)
{
	char	*string;
	char	**table;
	char	**ttr;
	int		*types;
	int		amount;

	string = read_file(path);
	check_string(string);
	table = to_table(&string);
	ttr = glue_figure(table);
	move_up_left(ttr);
	check_table(ttr);
	types = get_types(ttr);
	amount = get_amount(ttr);
	algorithm(types, amount);
}
