/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   dancing_links_initialization_2.c                   :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/26 15:16:08 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/26 15:16:11 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

int		*get_coords(t_coord coord, int amount, int type, int size)
{
	int		*result;
	int		i;
	t_coord	*start;

	result = (int *)malloc(sizeof(int) * 5);
	start = g_templates[type].c;
	i = 0;
	while (i < 4)
	{
		result[i + 1] = (coord.x + coord.y * size +
				start[i].x + start[i].y * size) + amount;
		i++;
	}
	return (result);
}

void	add_row(int *col_numbers, t_node **cols_arr, t_coord coord, int type)
{
	add_node_with_coord(cols_arr[col_numbers[0]], coord, type);
	add_node(cols_arr[col_numbers[1]]);
	add_node(cols_arr[col_numbers[2]]);
	add_node(cols_arr[col_numbers[3]]);
	add_node(cols_arr[col_numbers[4]]);
}

void	link_row(int *col_nums, t_node **cols_arr)
{
	cols_arr[col_nums[0]]->up->left = cols_arr[col_nums[4]]->up;
	cols_arr[col_nums[0]]->up->right = cols_arr[col_nums[1]]->up;
	cols_arr[col_nums[1]]->up->left = cols_arr[col_nums[0]]->up;
	cols_arr[col_nums[1]]->up->right = cols_arr[col_nums[2]]->up;
	cols_arr[col_nums[2]]->up->left = cols_arr[col_nums[1]]->up;
	cols_arr[col_nums[2]]->up->right = cols_arr[col_nums[3]]->up;
	cols_arr[col_nums[3]]->up->left = cols_arr[col_nums[2]]->up;
	cols_arr[col_nums[3]]->up->right = cols_arr[col_nums[4]]->up;
	cols_arr[col_nums[4]]->up->left = cols_arr[col_nums[3]]->up;
	cols_arr[col_nums[4]]->up->right = cols_arr[col_nums[0]]->up;
}

void	add_rows(int *types, int amount, int size, t_node **cols_arr)
{
	int		i;
	int		k;
	int		l;
	int		*col_num;
	t_coord	coord;

	i = 0;
	while (i < amount)
	{
		l = 0;
		while (l <= size - g_templates[types[i]].height)
		{
			k = 0;
			while (k <= size - g_templates[types[i]].width)
			{
				coord = (t_coord){l, k++};
				col_num = get_coords(coord, amount, types[i], size);
				col_num[0] = i;
				add_row(col_num, cols_arr, coord, types[i]);
				link_row(col_num, cols_arr);
			}
			l++;
		}
		i++;
	}
}
