/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   glue_figure.c                                      :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/14 17:12:30 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/20 20:06:22 by ykolomie         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

/*
**	This function creates string table in which one line represent one figure
**	by "glueing" evry 4 strings from table
*/

char	**glue_figure(char **table)
{
	int		i;
	int		j;
	int		size;
	char	**ttr_table;

	size = 0;
	i = 0;
	j = 0;
	while (table[size])
		size++;
	ttr_table = ft_memalloc(sizeof(char *) * (size / 4 + 1));
	while (i < size / 4)
		ttr_table[i++] = ft_memalloc(sizeof(char) * 17);
	i = 0;
	while (i < size / 4)
	{
		ft_strcat(ttr_table[i], table[j++]);
		if (j % 4 == 0)
			i++;
	}
	i = 0;
	while (table[i])
		free(table[i++]);
	free(table);
	return (ttr_table);
}
