/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   main.c                                             :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/10 16:07:25 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/23 14:26:30 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

/*
**  definition of global variable
**  that contains all possible tetrominoes
**  inside 4x4 square with initial coordinates at [0][0]
*/

t_ttrmn	g_templates[19] =
{
	{"#...#...#...#...", 1, 4, {{0, 0}, {1, 0}, {2, 0}, {3, 0}}},
	{"####............", 4, 1, {{0, 0}, {0, 1}, {0, 2}, {0, 3}}},
	{"#...#...##......", 2, 3, {{0, 0}, {1, 0}, {2, 0}, {2, 1}}},
	{"..#.###.........", 3, 2, {{0, 2}, {1, 0}, {1, 1}, {1, 2}}},
	{"##...#...#......", 2, 3, {{0, 0}, {0, 1}, {1, 1}, {2, 1}}},
	{"###.#...........", 3, 2, {{0, 0}, {0, 1}, {0, 2}, {1, 0}}},
	{".#...#..##......", 2, 3, {{0, 1}, {1, 1}, {2, 0}, {2, 1}}},
	{"###...#.........", 3, 2, {{0, 0}, {0, 1}, {0, 2}, {1, 2}}},
	{"##..#...#.......", 2, 3, {{0, 0}, {0, 1}, {1, 0}, {2, 0}}},
	{"#...###.........", 3, 2, {{0, 0}, {1, 0}, {1, 1}, {1, 2}}},
	{"###..#..........", 3, 2, {{0, 0}, {0, 1}, {0, 2}, {1, 1}}},
	{"#...##..#.......", 2, 3, {{0, 0}, {1, 0}, {1, 1}, {2, 0}}},
	{".#..###.........", 3, 2, {{0, 1}, {1, 0}, {1, 1}, {1, 2}}},
	{".#..##...#......", 2, 3, {{0, 1}, {1, 0}, {1, 1}, {2, 1}}},
	{"##..##..........", 2, 2, {{0, 0}, {0, 1}, {1, 0}, {1, 1}}},
	{"##...##.........", 3, 2, {{0, 0}, {0, 1}, {1, 1}, {1, 2}}},
	{".#..##..#.......", 2, 3, {{0, 1}, {1, 0}, {1, 1}, {2, 0}}},
	{".##.##..........", 3, 2, {{0, 1}, {0, 2}, {1, 0}, {1, 1}}},
	{"#...##...#......", 2, 3, {{0, 0}, {1, 0}, {1, 1}, {2, 1}}}
};

int		main(int argc, char **argv)
{
	if (argc != 2)
		error();
	else
		init(argv[1]);
	return (0);
}
