/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   read_file.c                                        :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: gtertysh <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2016/12/14 16:55:43 by gtertysh          #+#    #+#             */
/*   Updated: 2016/12/14 16:55:45 by gtertysh         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "fillit.h"

/*
** read from file. Returns string.
*/

char	*read_file(char *path)
{
	int		fd;
	long	readed;
	long	old_size;
	char	buf[BUF_S + 1];
	char	*string;

	if ((fd = open(path, O_RDONLY)) == -1)
		error();
	string = ft_memalloc(sizeof(char) * BUF_S);
	while ((readed = read(fd, buf, BUF_S)))
	{
		buf[readed] = '\0';
		old_size = ft_strlen(string);
		string = ft_realloc(string, old_size + readed, old_size);
		ft_strcat(string, buf);
	}
	return (string);
}
